<?php

require_once __DIR__.'/vendor/autoload.php';
require_once __DIR__.'/config.php';
use PhpAmqpLib\Connection\AMQPSSLConnection;
use Bernard\QueueFactory;
use Bernard\QueueFactory\PersistentFactory;
use Bernard\Serializer;
use Bernard\Driver\PhpAmqpDriver;
use Symfony\Component\EventDispatcher\EventDispatcher;
// Producer
use Bernard\Message\PlainMessage;
use Bernard\Producer;

$connection = new AMQPSSLConnection($host, $port, $username, $password, $vhost);
$driver = new PhpAmqpDriver($connection, 'amq.direct');

$eventDispatcher = new EventDispatcher();
$serializer = new Serializer();
$queueFactory = new QueueFactory\PersistentFactory($driver, $serializer);
$producer = new Producer($queueFactory, $eventDispatcher);

$message = new PlainMessage('TestMessage', array(
  'testbody' => 12,
));

$producer->produce($message, 'TestQueue');
sleep(1);
